## org.apache.lucene.analysis.cn.smart
Class SmartChineseSentenceTokenizerFactory

    java.lang.Object
      org.apache.lucene.analysis.util.AbstractAnalysisFactory
          org.apache.lucene.analysis.util.TokenizerFactory
              org.apache.lucene.analysis.cn.smart.SmartChineseSentenceTokenizerFactory

    public class SmartChineseSentenceTokenizerFactory

extends TokenizerFactory

Factory for the SmartChineseAnalyzer `SentenceTokenizer`

WARNING: This API is experimental and might change in incompatible ways in the next release.

Field Summary

Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

Constructor Summary
`SmartChineseSentenceTokenizerFactory(Map<String,String> args)` Creates a new SmartChineseSentenceTokenizerFactory

Method Summary
`SentenceTokenizer` `create(AttributeSource.AttributeFactory factory, Reader input)`

Methods inherited from class org.apache.lucene.analysis.util.TokenizerFactory
`availableTokenizers, create, forName, lookupClass, reloadTokenizers`

Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory
`assureMatchVersion, get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitFileNames`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SmartChineseSentenceTokenizerFactory

    public SmartChineseSentenceTokenizerFactory(Map<String,String> args)

  Creates a new SmartChineseSentenceTokenizerFactory

Method Detail

### create

    public SentenceTokenizer create(AttributeSource.AttributeFactory factory,
                                    Reader input)

  Specified by:
    `create` in class `TokenizerFactory`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.